(USE-KB 'Pthresh)
(P thr72
	   (goal (two_value thre))
   -->	
   (let (sl ba hl)
	     (rmf 1)
	     (cond ((equal blackwhite '100) (B_W)))
	     (cond ((equal blackwhite 'black_0)
		              (setq sl 'SMALLER)
		              (setq ba 'BELOW)
		              (setq hl 'ABOVE)
		              (setq info_thr (cons (list 'black 'gray_level_0) info_thr)))
		           (t (setq sl 'LARGER)
		              (setq ba 'ABOVE)
		              (setq hl 'BELOW)
		              (setq info_thr (cons (list 'white 'gray_level_0) info_thr))))
	     (LINE)
	     (preced 'threshold)
	     (msg #\T "Try Two_Value Threshold. Suppose objects are brighter than" #\N)
	     (msg #\T "background, the principle is:" #\N)
	     (msg #\T "- TRY TO SELECT 2 QUANTILES TO FIX 2 THRESHOLDS:" #\N)
	     (msg #\T "  T1 " sl " THAN T2 SO THAT ALL BACKGROUND POINTS HAVE VALUES" #\N)
	     (msg #\T "  " ba " T2 AND ALL OBJECTS POINTS HAVE VALUES " hl " T1," #\N)
	     (msg #\T "- FIRST THRESHOLD AT T2 TO EXTRACT THE OBJECT POINTS," #\N)
	     (msg #\T "  THEN ACCEPT POINTS WHOSE VALUES " hl " T1 AS OBJECT POINTS" #\N)
	     (msg #\T "  PROVIDED THEY CONFORM TO CERTAIN CONDITION." #\N)
	     (LINE)
	     (EXPLAIN info_thr)
	     (wait_answer "s" "0" "0")
	     (setq asw (ACQUIRE 'two_thresholds))
	     (setq record (cons 'two_value_thresh record))
	     (cond ((equal asw "y")
              (FACT satisfied))
		           (t (UNSATIS 'two_thresholds 'thr)))
	   )
)
